LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDragSourceListener Interface Referencepublished

This interface must be implemented by any drag gesture recognizer implementation that a drag source supports. More...

`import"XDragSourceListener.idl";`

Inheritance diagram for XDragSourceListener:

## Public Member Functions
void | dragDropEnd ([in] DragSourceDropEvent dsde)
| This method is invoked to signify that the Drag and Drop operation is complete. More...
void | dragEnter ([in] DragSourceDragEvent dsde)
| Called as the hotspot enters a platform dependent drop site. More...
void | dragExit ([in] DragSourceEvent dse)
| Called as the hotspot exits a platform dependent drop site. More...
void | dragOver ([in] DragSourceDragEvent dsde)
| Called as the hotspot moves over a platform dependent drop site. More...
void | dropActionChanged ([in] DragSourceDragEvent dsde)
| Called when the user has modified the drop gesture. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface must be implemented by any drag gesture recognizer implementation that a drag source supports.

See also
  com::sun::star::datatransfer::dnd::XDragGestureRecognizer
  com::sun::star::datatransfer::dnd::XDragSource

## Member Function Documentation

## ◆ dragDropEnd()

void dragDropEnd | ( | [in] DragSourceDropEvent | dsde | ) |

This method is invoked to signify that the Drag and Drop operation is complete.

Parameters

  dsde | The DragSourceDropEvent

## ◆ dragEnter()

void dragEnter | ( | [in] DragSourceDragEvent | dsde | ) |

Called as the hotspot enters a platform dependent drop site.

NOTE: currently this notification can not be ensured by all implementations. Do not rely on it !

Parameters

  dsde | The DragSourceDragEvent.

## ◆ dragExit()

void dragExit | ( | [in] DragSourceEvent | dse | ) |

Called as the hotspot exits a platform dependent drop site.

NOTE: Currently this notification can not be ensured by all implementations. Do not rely on it !

Parameters

  dse | The DragSourceEvent.

## ◆ dragOver()

void dragOver | ( | [in] DragSourceDragEvent | dsde | ) |

Called as the hotspot moves over a platform dependent drop site.

Parameters

  dsde | The DragSourceEvent

## ◆ dropActionChanged()

void dropActionChanged | ( | [in] DragSourceDragEvent | dsde | ) |

Called when the user has modified the drop gesture.

Parameters

  dsde | The DragSourceEvent.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/dnd/XDragSourceListener.idl